﻿<%@ Page Language="C#" AutoEventWireup="true" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="SudokuHead" runat="server">
    <link rel="stylesheet" type="text/css" href="~\themes\niedermann\theme.css" />
    <style type="text/css">
    html, body {
	    height: 100%;
	    overflow: auto;
    }
    body {
	    padding: 0;
	    margin: 0;
    }
    #silverlightControlHost {
	    height: 100%;
	    text-align:left;
    }
    </style>
    <title>Jesper Niedermann's fast Sudoku generator</title>

    <script type="text/javascript" src="Silverlight.js"></script>

    <script type="text/javascript">
        function onSilverlightError(sender, args) {
            var appSource = "";
            if (sender != null && sender != 0) {
                appSource = sender.getHost().Source;
            }

            var errorType = args.ErrorType;
            var iErrorCode = args.ErrorCode;

            if (errorType == "ImageError" || errorType == "MediaError") {
                return;
            }

            var errMsg = "Unhandled Error in Silverlight Application " + appSource + "\n";

            errMsg += "Code: " + iErrorCode + "    \n";
            errMsg += "Category: " + errorType + "       \n";
            errMsg += "Message: " + args.ErrorMessage + "     \n";

            if (errorType == "ParserError") {
                errMsg += "File: " + args.xamlFile + "     \n";
                errMsg += "Line: " + args.lineNumber + "     \n";
                errMsg += "Position: " + args.charPosition + "     \n";
            }
            else if (errorType == "RuntimeError") {
                if (args.lineNumber != 0) {
                    errMsg += "Line: " + args.lineNumber + "     \n";
                    errMsg += "Position: " + args.charPosition + "     \n";
                }
                errMsg += "MethodName: " + args.methodName + "     \n";
            }

            throw new Error(errMsg);
        }
    </script>

</head>
<body>
    <form id="form1" runat="server" style="height: 100%">
    <div class="header">
        <table cellspacing="0" cellpadding="2" width="100%" border="0">
            <tr>
                <td class="headerImage" />
                <td>
                    <table cellspacing="0" cellpadding="2" width="100%" border="0">
                        <tr>
                            <td class="siteNameTools">
                                Jesper Niedermann's fast Sudoku generator
                            </td>
                        </tr>
                        <tr>
                            <td class="subtitle">
                                Programmed with Silverlight 3
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
    <div class="headershadow">
    </div>
    <div class="itemBoxStyle">
        To generate a new Sudoku click the "New" button. If you want to print it click the
        "Print..." button to get a more printable look in a new window.<br />
        <br />
        You can manipulate the size by entering the size of one box'es side. 2 equals a
        4x4 sudoku. 3 a 9x9, 4 a 16x16 and so on.<br />
        <br />
        You can choose the number of empty spaces either by entering it directly or choosing
        a level "Very Easy" to "Very Hard". You can also change it by clicking on the sudoku itself.
    </div>
    <br />
    <div id="silverlightControlHost"  style="width: auto; height: auto" >
        <object  id="SLPlugin" data="data:application/x-silverlight-2," type="application/x-silverlight-2"
            width="615px" height="365px">
            <param name="source" value="ClientBin/SudokuFrontEnd.xap" />
            <param name="onError" value="onSilverlightError" />
            <param name="background" value="white" />
            <param name="minRuntimeVersion" value="3.0.40624.0" />
            <param name="autoUpgrade" value="true" />
            <a href="http://go.microsoft.com/fwlink/?LinkID=149156&v=3.0.40624.0" style="text-decoration: none">
                <img src="http://go.microsoft.com/fwlink/?LinkId=108181" alt="Get Microsoft Silverlight"
                    style="border-style: none" />
            </a>
        </object>
        <iframe id="_sl_historyFrame" style="visibility: hidden; height: 0px; width: 0px;
            border: 0px"></iframe>
    </div>
    </form>
</body>
</html>
